Piloterr

Email Analyzes

Analyze a domain to retrieve its email infrastructure — Microsoft 365 and Google Workspace domains, SPF records, and DNS configurations.

Credit cost: 1 credit per call

GET
/v2/email/analyzes

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

The domain name you want to analyze for email infrastructure.

Example:

airbus.com

The API will return all associated Microsoft 365 and Google Workspace domains, along with SPF records and DNS configurations.

Note: Provide a bare domain (e.g. airbus.com), not a full URL.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/email/analyzes?query=string"
{
  "domains": {
    "airbus.com": [
      "ag.eu.dmarcadvisor.com",
      "airbus.com",
      "group1._spf.airbus.com",
      "zb85545947.zmverify.zoho.eu",
      "group3._spf.airbus.com",
      "group2._spf.airbus.com",
      "dmarc.airbus.com",
      "group4._spf.airbus.com",
      "spf.airbus.com"
    ],
    "apsys-airbus.com": [
      "ag.eu.dmarcadvisor.com",
      "airbus.com",
      "spf.cloud.vadesecure.com",
      "apsys-airbus.com",
      "report.ssi"
    ],
    "airbus.onmicrosoft.com": [
      "spf.protection.outlook.com"
    ],
    "globalemail.airbus.com": [],
    "airbus.mail.onmicrosoft.com": [
      "outlook.com"
    ]
  },
  "is_microsoft_365": true,
  "is_google_workspace": false,
  "microsoft_365_domains": [
    "airbus.onmicrosoft.com",
    "airbus.mail.onmicrosoft.com"
  ],
  "google_workspace_domains": []
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}